import {request} from 'umi';

// 获取组织列表
export async function getSuperList(flag: number){
  return request('/api/admin/Varieties/getSuperList',{
    method:'get',
    params:{
      flag
    }
  })
}

// 新增组织
export async function addVarieties(cname: string,superId: string){
  return request('/api/admin/Varieties/addVarieties',{
    method:'get',
    params:{
      cname,
      superId
    }
  })
}

// 获取组织详情
export async function getDetailVarieties(id: string){
  return request('/api/admin/Varieties/detailVarieties',{
    method:'get',
    params:{
      id
    }
  })
}

// 更改组织详情
export async function setEditVarieties(data: object){
  return request('/api/admin/Varieties/editVarieties',{
    method:'post',
    data,
  })
}

// 删除品类
export async function deleteState(id: string){
  return request('/api/admin/Varieties/deleteState',{
    method:'get',
    params:{
      id
    },
  })
}

// 品类移动
// type : 0下移  1 上移
export async function locationChange(id: string,sort: string,type:string){
  return request('/api/admin/Varieties/locationChange',{
    method:'get',
    params:{
      id,
      sort,
      flag:type,
    },
  })
}
