import React,{Component} from "react";
import ProForm, {ProFormText} from "@ant-design/pro-form";

class Contact extends Component{
  constructor(props) {
    super(props);
  }

  formRef = React.createRef();

  render() {
    return (
      <>
        <div
          style={{
            fontSize: '20px',
            backgroundColor: 'skyblue',
            textAlign: "center",
            marginBottom: 10,
            letterSpacing: '7px',
            fontWeight: 'bold',
            lineHeight:'20px',
            paddingBottom: '14px',
            paddingTop: '10px',
          }}
        >
          任职信息
        </div>
        <ProForm
          formRef={this.formRef}
          onFinish={this.updatePersonnel}
          submitter={!this.props.readonly}
          layout={this.props.readonly?'horizontal':'vertical'}
        >
          <ProForm.Group>
            <ProFormText
              readonly={this.props.readonly}
              width="m"
              rules={[
                {
                  pattern: /^1\d{10}$/,
                  message: '不合法的手机号格式!',
                }
              ]}
              placeholder="请输入手机号"
              name="mobile"
              label="手机号码"
            />
            <ProFormText
              readonly={this.props.readonly}
              width="m"
              placeholder="请输入手机号"
              name="fixedTel"
              label="办公室电话"
            />
          </ProForm.Group>
          <ProForm.Group>
            <ProFormText
              readonly={this.props.readonly}
              width="m"
              placeholder="请输入名字"
              name="name1"
              label="紧急联系人1"
            />
            <ProFormText
              readonly={this.props.readonly}
              width="m"
              rules={[
                {
                  pattern: /^1\d{10}$/,
                  message: '不合法的手机号格式!',
                }
              ]}
              placeholder="请输入电话"
              name="mobile1"
              label="紧急联系人电话"
            />
          </ProForm.Group>
          <ProForm.Group>
            <ProFormText
              readonly={this.props.readonly}
              width="m"
              placeholder="请输入名字"
              name="name2"
              label="紧急联系人2"
            />
            <ProFormText
              readonly={this.props.readonly}
              width="m"
              rules={[
                {
                  pattern: /^1\d{10}$/,
                  message: '不合法的手机号格式!',
                }
              ]}
              placeholder="请输入电话"
              name="mobile2"
              label="紧急联系人2电话"
            />
          </ProForm.Group>
          <ProForm.Group>
            <ProFormText
              readonly={this.props.readonly}
              width="m"
              placeholder="请输入名字"
              name="name3"
              label="紧急联系人3"
            />
            <ProFormText
              readonly={this.props.readonly}
              width="m"
              rules={[
                {
                  pattern: /^1\d{10}$/,
                  message: '不合法的手机号格式!',
                }
              ]}
              placeholder="请输入电话"
              name="mobile3"
              label="紧急联系人3电话"
            />
          </ProForm.Group>
        </ProForm>
      </>
    )
  }
}

export default Contact;
