import {
  processStatus,
  liquidationStatus,
  approvedState,
  newOrderStatus,
  invoiceStatus,
  post,
  patternOrganization,
  station,
  conditionOrganization,
  addressList,
  categoryState,
  gameState,
} from './dataDic';

// 流程状态
const getProcessStatus =(e) => {
  if (e || e === 0) {
    let theType = "";
    processStatus.forEach((item) => {
      if (item.value === e.toString()) {
        theType = item.key;
      }
    });
    return theType;
  }
  return '';
}

// 结算状态
const getLiquidationStatus = (e) => {
  if (e || e === 0) {
    let theType = "";
    liquidationStatus.forEach((item) => {
      if (item.value === e.toString()) {
        theType = item.key;
      }
    });
    return theType;
  }
  return '';
}

// 特批状态
const getApprovedState = (e) => {
  if (e || e === 0) {
    let theType = "";
    approvedState.forEach((item) => {
      if (item.value === e.toString()) {
        theType = item.key;
      }
    });
    return theType;
  }
  return '';
}

// 订单状态
const getNewOrderStatus = (e) => {
  if (e || e === 0) {
    let theType = "";
    newOrderStatus.forEach((item) => {
      if (item.value === e.toString()) {
        theType = item.key;
      }
    });
    return theType;
  }
  return '';
}

// 开票状态
const getInvoiceStatus = (e, record) => {
  if (record && record.approval === 1) {
    return "特批待审核";
  }else{
    if (e || e === 0) {
      let theType = "";
      invoiceStatus.forEach((item) => {
        if (item.value === e.toString()) {
          theType = item.key;
        }
      });
      return theType;
    }
  }
}

// 职务
const getPost = (e) => {
  if (e) {
    let theType = "";
    post.map((item) => {
      if (item.value === e) {
        theType = item.key;
      }
    });
    return theType;
  }
}

// 岗位
const getStation = (e) => {
  if (e) {
    let theType = "";
    station.map((item) => {
      if (item.value === e) {
        theType = item.key;
      }
    });
    return theType;
  }
}

// 组织类型
const getPattern = (e) => {
  if (e) {
    let theType = "";
    patternOrganization.map((item) => {
      if (item.value === e) {
        theType = item.key;
      }
    });
    return theType;
  }
}

// 组织状态
const getCondition = (e) => {
  if (e) {
    let theType = "";
    conditionOrganization.map((item) => {
      if (item.value === e) {
        theType = item.label;
      }
    });
    return theType;
  }
}

// 品类状态
const getCategoryState = (e) => {
  if (e) {
    let theType = "";
    categoryState.map((item) => {
      if (item.value === e) {
        theType = item.key;
      }
    });
    return theType;
  }
}

// 处理图片地址
const splitUrl = (string, i, url) => {
  let theList = [];
  let theArr = [];
  if (string && string.length) {
    theArr = string.split(i);
    theArr.map((item, i) => {
      let name = item.substring(item.lastIndexOf("_") + 1);
      theList.push({
        uid: -i - 1,
        name: name,
        url: url + item,
        response: {
          data: item,
        },
      });
    });
  }
  return {fileList:theList};
}

// 品类状态
const getGameState = (index) => {
  let e = index ? index.toString() : "";
  if (e) {
    let theType = "";
    gameState.map((item) => {
      if (item.value === e) {
        theType = item.key;
      }
    });
    return theType;
  }
}

const citySelect = () => {
  let option = [];
  addressList.map((item, i) => {
    if (item.cityList.length) {
      let cityArr = [];
      item.cityList.map((city, n) => {
        cityArr.push({
          value: city.id,
          label: city.name
        });
      });
      option.push({
        value: item.id,
        label: item.name,
      });
    } else {
      option.push({
        value: item.id,
        label: item.name
      });
    };
  });
  return option;
}

// 地区选择 省市区
const getAddressSelect = async (arr = addressList) => {
  await arr.map((v) =>{
    v.label = v.name;
    v.value = v.id;
    if(v.cityList){
      v.children = v.cityList;
      getAddressSelect(v.children);
    }
    if(v.areaList){
      v.children = v.areaList;
      getAddressSelect(v.children);
    }
  })
  return arr.filter(v=>v.id)
}

// 籍贯选择 省市
const getNativePlace = async (arr = addressList) => {
  let list = [];
  await arr.map((value) =>{
    let obj = {};
    if(value.cityList && value.cityList.length > 0){
      let cityList = [];
      value.cityList.map((v) => {
        cityList.push({
          label: v.name,
          value: v.id,
        })
      });
      obj.children = cityList;
    }
    obj.label = value.name;
    obj.value = value.id;
    list.push(obj)
  })
  return list
}

// 省份转换
const getprovince = (e) => {
  let nub = parseInt(e);
  let theType = "";
  if (nub <= 34) {
    addressList.map((item) => {
      if (item.id === nub) {
        theType = item.name;
      }
    });
  }
  if (nub > 34 && nub < 380) {
    addressList.map((item) => {
      item.cityList && item.cityList.map((city) => {
        if (city.id === nub) {
          theType = city.name;
        }
      });
    });
  }
  if (nub >= 380) {
    addressList.map((item) => {
      item.cityList && item.cityList.map((city) => {
        city.areaList && city.areaList.map((areas) => {
          if (areas.id === nub) {
            theType = areas.name;
          }
        });
      });
    });
  }
  return theType;
}

export {
  getProcessStatus,
  getLiquidationStatus,
  getApprovedState,
  getNewOrderStatus,
  getInvoiceStatus,
  getPost,
  getPattern,
  getStation,
  splitUrl,
  getCondition,
  citySelect,
  getCategoryState,
  getGameState,
  getprovince,
  getAddressSelect,
  getNativePlace
};
